### Enumeration

# FwupdPlugin CfiDeviceCmd

since: 1.0

#### Declaration

    enum FwupdPlugin.CfiDeviceCmd

#### Description [src]

Commands used when calling fu_cfi_device_get_cmd().

Available since: 1.0

#### Members

`FU_CFI_DEVICE_CMD_READ_ID`

  Read the chip ID.

  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_CFI_DEVICE_CMD_PAGE_PROG`

  Page program.

  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_CFI_DEVICE_CMD_CHIP_ERASE`

  Whole chip erase.

  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_CFI_DEVICE_CMD_READ_DATA`

  Read data.

  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_CFI_DEVICE_CMD_READ_STATUS`

  Read status.

  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_CFI_DEVICE_CMD_SECTOR_ERASE`

  Sector erase.

  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_CFI_DEVICE_CMD_WRITE_EN`

  Write enable.

  - Value: `6`
  - Nickname: `None`
  - Available since: 1.0
`FU_CFI_DEVICE_CMD_WRITE_STATUS`

  Write status.

  - Value: `7`
  - Nickname: `None`
  - Available since: 1.0
`FU_CFI_DEVICE_CMD_BLOCK_ERASE`

  Block erase.

  - Value: `8`
  - Nickname: `None`
  - Available since: 1.0